

# AppRegistry


The following actions are supported by AppRegistry:
+  [AssociateAttributeGroup](API_app-registry_AssociateAttributeGroup.md) 
+  [AssociateResource](API_app-registry_AssociateResource.md) 
+  [CreateApplication](API_app-registry_CreateApplication.md) 
+  [CreateAttributeGroup](API_app-registry_CreateAttributeGroup.md) 
+  [DeleteApplication](API_app-registry_DeleteApplication.md) 
+  [DeleteAttributeGroup](API_app-registry_DeleteAttributeGroup.md) 
+  [DisassociateAttributeGroup](API_app-registry_DisassociateAttributeGroup.md) 
+  [DisassociateResource](API_app-registry_DisassociateResource.md) 
+  [GetApplication](API_app-registry_GetApplication.md) 
+  [GetAssociatedResource](API_app-registry_GetAssociatedResource.md) 
+  [GetAttributeGroup](API_app-registry_GetAttributeGroup.md) 
+  [GetConfiguration](API_app-registry_GetConfiguration.md) 
+  [ListApplications](API_app-registry_ListApplications.md) 
+  [ListAssociatedAttributeGroups](API_app-registry_ListAssociatedAttributeGroups.md) 
+  [ListAssociatedResources](API_app-registry_ListAssociatedResources.md) 
+  [ListAttributeGroups](API_app-registry_ListAttributeGroups.md) 
+  [ListAttributeGroupsForApplication](API_app-registry_ListAttributeGroupsForApplication.md) 
+  [ListTagsForResource](API_app-registry_ListTagsForResource.md) 
+  [PutConfiguration](API_app-registry_PutConfiguration.md) 
+  [SyncResource](API_app-registry_SyncResource.md) 
+  [TagResource](API_app-registry_TagResource.md) 
+  [UntagResource](API_app-registry_UntagResource.md) 
+  [UpdateApplication](API_app-registry_UpdateApplication.md) 
+  [UpdateAttributeGroup](API_app-registry_UpdateAttributeGroup.md) 

# AssociateAttributeGroup


Associates an attribute group with an application to augment the application's metadata with the group's attributes. This feature enables applications to be described with user-defined details that are machine-readable, such as third-party integrations.

## Request Syntax


```
PUT /applications/application/attribute-groups/attributeGroup HTTP/1.1
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [application](#API_app-registry_AssociateAttributeGroup_RequestSyntax) **   <a name="servicecatalog-app-registry_AssociateAttributeGroup-request-uri-application"></a>
 The name, ID, or ARN of the application.   
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `([-.\w]+)|(arn:aws[-a-z]*:servicecatalog:[a-z]{2}(-gov)?-[a-z]+-\d:\d{12}:/applications/[-.\w]+)`   
Required: Yes

 ** [attributeGroup](#API_app-registry_AssociateAttributeGroup_RequestSyntax) **   <a name="servicecatalog-app-registry_AssociateAttributeGroup-request-uri-attributeGroup"></a>
 The name, ID, or ARN of the attribute group that holds the attributes to describe the application.   
Length Constraints: Minimum length of 1. Maximum length of 512.  
Pattern: `([-.\w]+)|(arn:aws[-a-z]*:servicecatalog:[a-z]{2}(-gov)?-[a-z]+-\d:\d{12}:/attribute-groups/[-.\w]+)`   
Required: Yes

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "applicationArn": "string",
   "attributeGroupArn": "string"
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [applicationArn](#API_app-registry_AssociateAttributeGroup_ResponseSyntax) **   <a name="servicecatalog-app-registry_AssociateAttributeGroup-response-applicationArn"></a>
The Amazon resource name (ARN) of the application that was augmented with attributes.  
Type: String  
Pattern: `arn:aws[-a-z]*:servicecatalog:[a-z]{2}(-gov)?-[a-z]+-\d:\d{12}:/applications/[a-z0-9]+` 

 ** [attributeGroupArn](#API_app-registry_AssociateAttributeGroup_ResponseSyntax) **   <a name="servicecatalog-app-registry_AssociateAttributeGroup-response-attributeGroupArn"></a>
The Amazon resource name (ARN) of the attribute group that contains the application's new attributes.  
Type: String  
Pattern: `arn:aws[-a-z]*:servicecatalog:[a-z]{2}(-gov)?-[a-z]+-\d:\d{12}:/attribute-groups/[-.\w]+` 

## Errors


 ** ConflictException **   
There was a conflict when processing the request (for example, a resource with the given name already exists within the account).  
HTTP Status Code: 409

 ** InternalServerException **   
The service is experiencing internal problems.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ServiceQuotaExceededException **   
 The maximum number of resources per account has been reached.  
HTTP Status Code: 402

 ** ValidationException **   
The request has invalid or missing parameters.  
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/AWS242AppRegistry-2020-06-24/AssociateAttributeGroup) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/AWS242AppRegistry-2020-06-24/AssociateAttributeGroup) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/AWS242AppRegistry-2020-06-24/AssociateAttributeGroup) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/AWS242AppRegistry-2020-06-24/AssociateAttributeGroup) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/AWS242AppRegistry-2020-06-24/AssociateAttributeGroup) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/AWS242AppRegistry-2020-06-24/AssociateAttributeGroup) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/AWS242AppRegistry-2020-06-24/AssociateAttributeGroup) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/AWS242AppRegistry-2020-06-24/AssociateAttributeGroup) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/AWS242AppRegistry-2020-06-24/AssociateAttributeGroup) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/AWS242AppRegistry-2020-06-24/AssociateAttributeGroup) 

# AssociateResource


 Associates a resource with an application. The resource can be specified by its ARN or name. The application can be specified by ARN, ID, or name. 

 **Minimum permissions** 

 You must have the following permissions to associate a resource using the `OPTIONS` parameter set to `APPLY_APPLICATION_TAG`. 
+  `tag:GetResources` 
+  `tag:TagResources` 

 You must also have these additional permissions if you don't use the `AWSServiceCatalogAppRegistryFullAccess` policy. For more information, see [AWSServiceCatalogAppRegistryFullAccess](https://docs.aws.amazon.com/servicecatalog/latest/arguide/full.html) in the AppRegistry Administrator Guide. 
+  `resource-groups:AssociateResource` 
+  `cloudformation:UpdateStack` 
+  `cloudformation:DescribeStacks` 

**Note**  
 In addition, you must have the tagging permission defined by the AWS service that creates the resource. For more information, see [TagResources](https://docs.aws.amazon.com/resourcegroupstagging/latest/APIReference/API_TagResources.html) in the *Resource Groups Tagging API Reference*. 

## Request Syntax


```
PUT /applications/application/resources/resourceType/resource HTTP/1.1
Content-type: application/json

{
   "options": [ "string" ]
}
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [application](#API_app-registry_AssociateResource_RequestSyntax) **   <a name="servicecatalog-app-registry_AssociateResource-request-uri-application"></a>
 The name, ID, or ARN of the application.   
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `([-.\w]+)|(arn:aws[-a-z]*:servicecatalog:[a-z]{2}(-gov)?-[a-z]+-\d:\d{12}:/applications/[-.\w]+)`   
Required: Yes

 ** [resource](#API_app-registry_AssociateResource_RequestSyntax) **   <a name="servicecatalog-app-registry_AssociateResource-request-uri-resource"></a>
The name or ID of the resource of which the application will be associated.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `\S+`   
Required: Yes

 ** [resourceType](#API_app-registry_AssociateResource_RequestSyntax) **   <a name="servicecatalog-app-registry_AssociateResource-request-uri-resourceType"></a>
The type of resource of which the application will be associated.  
Valid Values: `CFN_STACK | RESOURCE_TAG_VALUE`   
Required: Yes

## Request Body


The request accepts the following data in JSON format.

 ** [options](#API_app-registry_AssociateResource_RequestSyntax) **   <a name="servicecatalog-app-registry_AssociateResource-request-options"></a>
 Determines whether an application tag is applied or skipped.   
Type: Array of strings  
Valid Values: `APPLY_APPLICATION_TAG | SKIP_APPLICATION_TAG`   
Required: No

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "applicationArn": "string",
   "options": [ "string" ],
   "resourceArn": "string"
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [applicationArn](#API_app-registry_AssociateResource_ResponseSyntax) **   <a name="servicecatalog-app-registry_AssociateResource-response-applicationArn"></a>
The Amazon resource name (ARN) of the application that was augmented with attributes.  
Type: String  
Pattern: `arn:aws[-a-z]*:servicecatalog:[a-z]{2}(-gov)?-[a-z]+-\d:\d{12}:/applications/[a-z0-9]+` 

 ** [options](#API_app-registry_AssociateResource_ResponseSyntax) **   <a name="servicecatalog-app-registry_AssociateResource-response-options"></a>
 Determines whether an application tag is applied or skipped.   
Type: Array of strings  
Valid Values: `APPLY_APPLICATION_TAG | SKIP_APPLICATION_TAG` 

 ** [resourceArn](#API_app-registry_AssociateResource_ResponseSyntax) **   <a name="servicecatalog-app-registry_AssociateResource-response-resourceArn"></a>
The Amazon resource name (ARN) that specifies the resource.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 1600.  
Pattern: `arn:(aws[a-zA-Z0-9-]*):([a-zA-Z0-9\-])+:([a-z]{2}(-gov)?-[a-z]+-\d{1})?:(\d{12})?:(.*)` 

## Errors


 ** ConflictException **   
There was a conflict when processing the request (for example, a resource with the given name already exists within the account).  
HTTP Status Code: 409

 ** InternalServerException **   
The service is experiencing internal problems.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ServiceQuotaExceededException **   
 The maximum number of resources per account has been reached.  
HTTP Status Code: 402

 ** ThrottlingException **   
 The maximum number of API requests has been exceeded.     
 ** message **   
A message associated with the Throttling exception.  
 ** serviceCode **   
The originating service code.
HTTP Status Code: 429

 ** ValidationException **   
The request has invalid or missing parameters.  
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/AWS242AppRegistry-2020-06-24/AssociateResource) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/AWS242AppRegistry-2020-06-24/AssociateResource) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/AWS242AppRegistry-2020-06-24/AssociateResource) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/AWS242AppRegistry-2020-06-24/AssociateResource) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/AWS242AppRegistry-2020-06-24/AssociateResource) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/AWS242AppRegistry-2020-06-24/AssociateResource) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/AWS242AppRegistry-2020-06-24/AssociateResource) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/AWS242AppRegistry-2020-06-24/AssociateResource) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/AWS242AppRegistry-2020-06-24/AssociateResource) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/AWS242AppRegistry-2020-06-24/AssociateResource) 

# CreateApplication


Creates a new application that is the top-level node in a hierarchy of related cloud resource abstractions.

## Request Syntax


```
POST /applications HTTP/1.1
Content-type: application/json

{
   "clientToken": "string",
   "description": "string",
   "name": "string",
   "tags": { 
      "string" : "string" 
   }
}
```

## URI Request Parameters


The request does not use any URI parameters.

## Request Body


The request accepts the following data in JSON format.

 ** [clientToken](#API_app-registry_CreateApplication_RequestSyntax) **   <a name="servicecatalog-app-registry_CreateApplication-request-clientToken"></a>
A unique identifier that you provide to ensure idempotency. If you retry a request that completed successfully using the same client token and the same parameters, the retry succeeds without performing any further actions. If you retry a successful request using the same client token, but one or more of the parameters are different, the retry fails.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Pattern: `[a-zA-Z0-9][a-zA-Z0-9_-]*`   
Required: Yes

 ** [description](#API_app-registry_CreateApplication_RequestSyntax) **   <a name="servicecatalog-app-registry_CreateApplication-request-description"></a>
The description of the application.  
Type: String  
Length Constraints: Maximum length of 1024.  
Required: No

 ** [name](#API_app-registry_CreateApplication_RequestSyntax) **   <a name="servicecatalog-app-registry_CreateApplication-request-name"></a>
The name of the application. The name must be unique in the region in which you are creating the application.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[-.\w]+`   
Required: Yes

 ** [tags](#API_app-registry_CreateApplication_RequestSyntax) **   <a name="servicecatalog-app-registry_CreateApplication-request-tags"></a>
Key-value pairs you can use to associate with the application.  
Type: String to string map  
Map Entries: Minimum number of 0 items. Maximum number of 50 items.  
Key Length Constraints: Minimum length of 1. Maximum length of 128.  
Key Pattern: `^([\p{L}\p{Z}\p{N}_.:\/=+\-@]*)$`   
Value Length Constraints: Maximum length of 256.  
Value Pattern: `[\p{L}\p{Z}\p{N}_.:/=+\-@]*`   
Required: No

## Response Syntax


```
HTTP/1.1 201
Content-type: application/json

{
   "application": { 
      "applicationTag": { 
         "string" : "string" 
      },
      "arn": "string",
      "creationTime": "string",
      "description": "string",
      "id": "string",
      "lastUpdateTime": "string",
      "name": "string",
      "tags": { 
         "string" : "string" 
      }
   }
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 201 response.

The following data is returned in JSON format by the service.

 ** [application](#API_app-registry_CreateApplication_ResponseSyntax) **   <a name="servicecatalog-app-registry_CreateApplication-response-application"></a>
Information about the application.  
Type: [Application](API_app-registry_Application.md) object

## Errors


 ** ConflictException **   
There was a conflict when processing the request (for example, a resource with the given name already exists within the account).  
HTTP Status Code: 409

 ** InternalServerException **   
The service is experiencing internal problems.  
HTTP Status Code: 500

 ** ServiceQuotaExceededException **   
 The maximum number of resources per account has been reached.  
HTTP Status Code: 402

 ** ThrottlingException **   
 The maximum number of API requests has been exceeded.     
 ** message **   
A message associated with the Throttling exception.  
 ** serviceCode **   
The originating service code.
HTTP Status Code: 429

 ** ValidationException **   
The request has invalid or missing parameters.  
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/AWS242AppRegistry-2020-06-24/CreateApplication) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/AWS242AppRegistry-2020-06-24/CreateApplication) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/AWS242AppRegistry-2020-06-24/CreateApplication) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/AWS242AppRegistry-2020-06-24/CreateApplication) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/AWS242AppRegistry-2020-06-24/CreateApplication) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/AWS242AppRegistry-2020-06-24/CreateApplication) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/AWS242AppRegistry-2020-06-24/CreateApplication) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/AWS242AppRegistry-2020-06-24/CreateApplication) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/AWS242AppRegistry-2020-06-24/CreateApplication) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/AWS242AppRegistry-2020-06-24/CreateApplication) 

# CreateAttributeGroup


Creates a new attribute group as a container for user-defined attributes. This feature enables users to have full control over their cloud application's metadata in a rich machine-readable format to facilitate integration with automated workflows and third-party tools.

## Request Syntax


```
POST /attribute-groups HTTP/1.1
Content-type: application/json

{
   "attributes": "string",
   "clientToken": "string",
   "description": "string",
   "name": "string",
   "tags": { 
      "string" : "string" 
   }
}
```

## URI Request Parameters


The request does not use any URI parameters.

## Request Body


The request accepts the following data in JSON format.

 ** [attributes](#API_app-registry_CreateAttributeGroup_RequestSyntax) **   <a name="servicecatalog-app-registry_CreateAttributeGroup-request-attributes"></a>
A JSON string in the form of nested key-value pairs that represent the attributes in the group and describes an application and its components.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 8000.  
Pattern: `[\u0009\u000A\u000D\u0020-\u00FF]+`   
Required: Yes

 ** [clientToken](#API_app-registry_CreateAttributeGroup_RequestSyntax) **   <a name="servicecatalog-app-registry_CreateAttributeGroup-request-clientToken"></a>
A unique identifier that you provide to ensure idempotency. If you retry a request that completed successfully using the same client token and the same parameters, the retry succeeds without performing any further actions. If you retry a successful request using the same client token, but one or more of the parameters are different, the retry fails.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Pattern: `[a-zA-Z0-9][a-zA-Z0-9_-]*`   
Required: Yes

 ** [description](#API_app-registry_CreateAttributeGroup_RequestSyntax) **   <a name="servicecatalog-app-registry_CreateAttributeGroup-request-description"></a>
The description of the attribute group that the user provides.  
Type: String  
Length Constraints: Maximum length of 1024.  
Required: No

 ** [name](#API_app-registry_CreateAttributeGroup_RequestSyntax) **   <a name="servicecatalog-app-registry_CreateAttributeGroup-request-name"></a>
The name of the attribute group.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[-.\w]+`   
Required: Yes

 ** [tags](#API_app-registry_CreateAttributeGroup_RequestSyntax) **   <a name="servicecatalog-app-registry_CreateAttributeGroup-request-tags"></a>
Key-value pairs you can use to associate with the attribute group.  
Type: String to string map  
Map Entries: Minimum number of 0 items. Maximum number of 50 items.  
Key Length Constraints: Minimum length of 1. Maximum length of 128.  
Key Pattern: `^([\p{L}\p{Z}\p{N}_.:\/=+\-@]*)$`   
Value Length Constraints: Maximum length of 256.  
Value Pattern: `[\p{L}\p{Z}\p{N}_.:/=+\-@]*`   
Required: No

## Response Syntax


```
HTTP/1.1 201
Content-type: application/json

{
   "attributeGroup": { 
      "arn": "string",
      "creationTime": "string",
      "description": "string",
      "id": "string",
      "lastUpdateTime": "string",
      "name": "string",
      "tags": { 
         "string" : "string" 
      }
   }
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 201 response.

The following data is returned in JSON format by the service.

 ** [attributeGroup](#API_app-registry_CreateAttributeGroup_ResponseSyntax) **   <a name="servicecatalog-app-registry_CreateAttributeGroup-response-attributeGroup"></a>
Information about the attribute group.  
Type: [AttributeGroup](API_app-registry_AttributeGroup.md) object

## Errors


 ** ConflictException **   
There was a conflict when processing the request (for example, a resource with the given name already exists within the account).  
HTTP Status Code: 409

 ** InternalServerException **   
The service is experiencing internal problems.  
HTTP Status Code: 500

 ** ServiceQuotaExceededException **   
 The maximum number of resources per account has been reached.  
HTTP Status Code: 402

 ** ValidationException **   
The request has invalid or missing parameters.  
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/AWS242AppRegistry-2020-06-24/CreateAttributeGroup) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/AWS242AppRegistry-2020-06-24/CreateAttributeGroup) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/AWS242AppRegistry-2020-06-24/CreateAttributeGroup) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/AWS242AppRegistry-2020-06-24/CreateAttributeGroup) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/AWS242AppRegistry-2020-06-24/CreateAttributeGroup) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/AWS242AppRegistry-2020-06-24/CreateAttributeGroup) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/AWS242AppRegistry-2020-06-24/CreateAttributeGroup) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/AWS242AppRegistry-2020-06-24/CreateAttributeGroup) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/AWS242AppRegistry-2020-06-24/CreateAttributeGroup) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/AWS242AppRegistry-2020-06-24/CreateAttributeGroup) 

# DeleteApplication


Deletes an application that is specified either by its application ID, name, or ARN. All associated attribute groups and resources must be disassociated from it before deleting an application.

## Request Syntax


```
DELETE /applications/application HTTP/1.1
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [application](#API_app-registry_DeleteApplication_RequestSyntax) **   <a name="servicecatalog-app-registry_DeleteApplication-request-uri-application"></a>
 The name, ID, or ARN of the application.   
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `([-.\w]+)|(arn:aws[-a-z]*:servicecatalog:[a-z]{2}(-gov)?-[a-z]+-\d:\d{12}:/applications/[-.\w]+)`   
Required: Yes

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "application": { 
      "arn": "string",
      "creationTime": "string",
      "description": "string",
      "id": "string",
      "lastUpdateTime": "string",
      "name": "string"
   }
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [application](#API_app-registry_DeleteApplication_ResponseSyntax) **   <a name="servicecatalog-app-registry_DeleteApplication-response-application"></a>
Information about the deleted application.  
Type: [ApplicationSummary](API_app-registry_ApplicationSummary.md) object

## Errors


 ** InternalServerException **   
The service is experiencing internal problems.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ValidationException **   
The request has invalid or missing parameters.  
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/AWS242AppRegistry-2020-06-24/DeleteApplication) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/AWS242AppRegistry-2020-06-24/DeleteApplication) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/AWS242AppRegistry-2020-06-24/DeleteApplication) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/AWS242AppRegistry-2020-06-24/DeleteApplication) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/AWS242AppRegistry-2020-06-24/DeleteApplication) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/AWS242AppRegistry-2020-06-24/DeleteApplication) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/AWS242AppRegistry-2020-06-24/DeleteApplication) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/AWS242AppRegistry-2020-06-24/DeleteApplication) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/AWS242AppRegistry-2020-06-24/DeleteApplication) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/AWS242AppRegistry-2020-06-24/DeleteApplication) 

# DeleteAttributeGroup


Deletes an attribute group, specified either by its attribute group ID, name, or ARN.

## Request Syntax


```
DELETE /attribute-groups/attributeGroup HTTP/1.1
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [attributeGroup](#API_app-registry_DeleteAttributeGroup_RequestSyntax) **   <a name="servicecatalog-app-registry_DeleteAttributeGroup-request-uri-attributeGroup"></a>
 The name, ID, or ARN of the attribute group that holds the attributes to describe the application.   
Length Constraints: Minimum length of 1. Maximum length of 512.  
Pattern: `([-.\w]+)|(arn:aws[-a-z]*:servicecatalog:[a-z]{2}(-gov)?-[a-z]+-\d:\d{12}:/attribute-groups/[-.\w]+)`   
Required: Yes

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "attributeGroup": { 
      "arn": "string",
      "createdBy": "string",
      "creationTime": "string",
      "description": "string",
      "id": "string",
      "lastUpdateTime": "string",
      "name": "string"
   }
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [attributeGroup](#API_app-registry_DeleteAttributeGroup_ResponseSyntax) **   <a name="servicecatalog-app-registry_DeleteAttributeGroup-response-attributeGroup"></a>
Information about the deleted attribute group.  
Type: [AttributeGroupSummary](API_app-registry_AttributeGroupSummary.md) object

## Errors


 ** InternalServerException **   
The service is experiencing internal problems.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ValidationException **   
The request has invalid or missing parameters.  
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/AWS242AppRegistry-2020-06-24/DeleteAttributeGroup) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/AWS242AppRegistry-2020-06-24/DeleteAttributeGroup) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/AWS242AppRegistry-2020-06-24/DeleteAttributeGroup) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/AWS242AppRegistry-2020-06-24/DeleteAttributeGroup) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/AWS242AppRegistry-2020-06-24/DeleteAttributeGroup) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/AWS242AppRegistry-2020-06-24/DeleteAttributeGroup) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/AWS242AppRegistry-2020-06-24/DeleteAttributeGroup) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/AWS242AppRegistry-2020-06-24/DeleteAttributeGroup) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/AWS242AppRegistry-2020-06-24/DeleteAttributeGroup) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/AWS242AppRegistry-2020-06-24/DeleteAttributeGroup) 

# DisassociateAttributeGroup


Disassociates an attribute group from an application to remove the extra attributes contained in the attribute group from the application's metadata. This operation reverts `AssociateAttributeGroup`.

## Request Syntax


```
DELETE /applications/application/attribute-groups/attributeGroup HTTP/1.1
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [application](#API_app-registry_DisassociateAttributeGroup_RequestSyntax) **   <a name="servicecatalog-app-registry_DisassociateAttributeGroup-request-uri-application"></a>
 The name, ID, or ARN of the application.   
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `([-.\w]+)|(arn:aws[-a-z]*:servicecatalog:[a-z]{2}(-gov)?-[a-z]+-\d:\d{12}:/applications/[-.\w]+)`   
Required: Yes

 ** [attributeGroup](#API_app-registry_DisassociateAttributeGroup_RequestSyntax) **   <a name="servicecatalog-app-registry_DisassociateAttributeGroup-request-uri-attributeGroup"></a>
 The name, ID, or ARN of the attribute group that holds the attributes to describe the application.   
Length Constraints: Minimum length of 1. Maximum length of 512.  
Pattern: `([-.\w]+)|(arn:aws[-a-z]*:servicecatalog:[a-z]{2}(-gov)?-[a-z]+-\d:\d{12}:/attribute-groups/[-.\w]+)`   
Required: Yes

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "applicationArn": "string",
   "attributeGroupArn": "string"
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [applicationArn](#API_app-registry_DisassociateAttributeGroup_ResponseSyntax) **   <a name="servicecatalog-app-registry_DisassociateAttributeGroup-response-applicationArn"></a>
The Amazon resource name (ARN) that specifies the application.  
Type: String  
Pattern: `arn:aws[-a-z]*:servicecatalog:[a-z]{2}(-gov)?-[a-z]+-\d:\d{12}:/applications/[a-z0-9]+` 

 ** [attributeGroupArn](#API_app-registry_DisassociateAttributeGroup_ResponseSyntax) **   <a name="servicecatalog-app-registry_DisassociateAttributeGroup-response-attributeGroupArn"></a>
The Amazon resource name (ARN) that specifies the attribute group.  
Type: String  
Pattern: `arn:aws[-a-z]*:servicecatalog:[a-z]{2}(-gov)?-[a-z]+-\d:\d{12}:/attribute-groups/[-.\w]+` 

## Errors


 ** InternalServerException **   
The service is experiencing internal problems.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ValidationException **   
The request has invalid or missing parameters.  
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/AWS242AppRegistry-2020-06-24/DisassociateAttributeGroup) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/AWS242AppRegistry-2020-06-24/DisassociateAttributeGroup) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/AWS242AppRegistry-2020-06-24/DisassociateAttributeGroup) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/AWS242AppRegistry-2020-06-24/DisassociateAttributeGroup) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/AWS242AppRegistry-2020-06-24/DisassociateAttributeGroup) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/AWS242AppRegistry-2020-06-24/DisassociateAttributeGroup) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/AWS242AppRegistry-2020-06-24/DisassociateAttributeGroup) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/AWS242AppRegistry-2020-06-24/DisassociateAttributeGroup) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/AWS242AppRegistry-2020-06-24/DisassociateAttributeGroup) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/AWS242AppRegistry-2020-06-24/DisassociateAttributeGroup) 

# DisassociateResource


 Disassociates a resource from application. Both the resource and the application can be specified either by ID or name. 

 **Minimum permissions** 

 You must have the following permissions to remove a resource that's been associated with an application using the `APPLY_APPLICATION_TAG` option for [AssociateResource](https://docs.aws.amazon.com/servicecatalog/latest/dg/API_app-registry_AssociateResource.html). 
+  `tag:GetResources` 
+  `tag:UntagResources` 

 You must also have the following permissions if you don't use the `AWSServiceCatalogAppRegistryFullAccess` policy. For more information, see [AWSServiceCatalogAppRegistryFullAccess](https://docs.aws.amazon.com/servicecatalog/latest/arguide/full.html) in the AppRegistry Administrator Guide. 
+  `resource-groups:DisassociateResource` 
+  `cloudformation:UpdateStack` 
+  `cloudformation:DescribeStacks` 

**Note**  
 In addition, you must have the tagging permission defined by the AWS service that creates the resource. For more information, see [UntagResources](https://docs.aws.amazon.com/resourcegroupstagging/latest/APIReference/API_UntTagResources.html) in the *Resource Groups Tagging API Reference*. 

## Request Syntax


```
DELETE /applications/application/resources/resourceType/resource HTTP/1.1
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [application](#API_app-registry_DisassociateResource_RequestSyntax) **   <a name="servicecatalog-app-registry_DisassociateResource-request-uri-application"></a>
The name or ID of the application.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `([-.\w]+)|(arn:aws[-a-z]*:servicecatalog:[a-z]{2}(-gov)?-[a-z]+-\d:\d{12}:/applications/[-.\w]+)`   
Required: Yes

 ** [resource](#API_app-registry_DisassociateResource_RequestSyntax) **   <a name="servicecatalog-app-registry_DisassociateResource-request-uri-resource"></a>
The name or ID of the resource.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `\S+`   
Required: Yes

 ** [resourceType](#API_app-registry_DisassociateResource_RequestSyntax) **   <a name="servicecatalog-app-registry_DisassociateResource-request-uri-resourceType"></a>
The type of the resource that is being disassociated.  
Valid Values: `CFN_STACK | RESOURCE_TAG_VALUE`   
Required: Yes

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "applicationArn": "string",
   "resourceArn": "string"
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [applicationArn](#API_app-registry_DisassociateResource_ResponseSyntax) **   <a name="servicecatalog-app-registry_DisassociateResource-response-applicationArn"></a>
The Amazon resource name (ARN) that specifies the application.  
Type: String  
Pattern: `arn:aws[-a-z]*:servicecatalog:[a-z]{2}(-gov)?-[a-z]+-\d:\d{12}:/applications/[a-z0-9]+` 

 ** [resourceArn](#API_app-registry_DisassociateResource_ResponseSyntax) **   <a name="servicecatalog-app-registry_DisassociateResource-response-resourceArn"></a>
The Amazon resource name (ARN) that specifies the resource.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 1600.  
Pattern: `arn:(aws[a-zA-Z0-9-]*):([a-zA-Z0-9\-])+:([a-z]{2}(-gov)?-[a-z]+-\d{1})?:(\d{12})?:(.*)` 

## Errors


 ** InternalServerException **   
The service is experiencing internal problems.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
 The maximum number of API requests has been exceeded.     
 ** message **   
A message associated with the Throttling exception.  
 ** serviceCode **   
The originating service code.
HTTP Status Code: 429

 ** ValidationException **   
The request has invalid or missing parameters.  
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/AWS242AppRegistry-2020-06-24/DisassociateResource) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/AWS242AppRegistry-2020-06-24/DisassociateResource) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/AWS242AppRegistry-2020-06-24/DisassociateResource) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/AWS242AppRegistry-2020-06-24/DisassociateResource) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/AWS242AppRegistry-2020-06-24/DisassociateResource) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/AWS242AppRegistry-2020-06-24/DisassociateResource) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/AWS242AppRegistry-2020-06-24/DisassociateResource) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/AWS242AppRegistry-2020-06-24/DisassociateResource) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/AWS242AppRegistry-2020-06-24/DisassociateResource) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/AWS242AppRegistry-2020-06-24/DisassociateResource) 

# GetApplication


 Retrieves metadata information about one of your applications. The application can be specified by its ARN, ID, or name (which is unique within one account in one region at a given point in time). Specify by ARN or ID in automated workflows if you want to make sure that the exact same application is returned or a `ResourceNotFoundException` is thrown, avoiding the ABA addressing problem. 

## Request Syntax


```
GET /applications/application HTTP/1.1
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [application](#API_app-registry_GetApplication_RequestSyntax) **   <a name="servicecatalog-app-registry_GetApplication-request-uri-application"></a>
 The name, ID, or ARN of the application.   
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `([-.\w]+)|(arn:aws[-a-z]*:servicecatalog:[a-z]{2}(-gov)?-[a-z]+-\d:\d{12}:/applications/[-.\w]+)`   
Required: Yes

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "applicationTag": { 
      "string" : "string" 
   },
   "arn": "string",
   "associatedResourceCount": number,
   "creationTime": "string",
   "description": "string",
   "id": "string",
   "integrations": { 
      "applicationTagResourceGroup": { 
         "arn": "string",
         "errorMessage": "string",
         "state": "string"
      },
      "resourceGroup": { 
         "arn": "string",
         "errorMessage": "string",
         "state": "string"
      }
   },
   "lastUpdateTime": "string",
   "name": "string",
   "tags": { 
      "string" : "string" 
   }
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [applicationTag](#API_app-registry_GetApplication_ResponseSyntax) **   <a name="servicecatalog-app-registry_GetApplication-response-applicationTag"></a>
 A key-value pair that identifies an associated resource.   
Type: String to string map  
Key Length Constraints: Minimum length of 1. Maximum length of 128.  
Key Pattern: `^([\p{L}\p{Z}\p{N}_.:\/=+\-@]*)$`   
Value Length Constraints: Maximum length of 256.  
Value Pattern: `[\p{L}\p{Z}\p{N}_.:/=+\-@]*` 

 ** [arn](#API_app-registry_GetApplication_ResponseSyntax) **   <a name="servicecatalog-app-registry_GetApplication-response-arn"></a>
The Amazon resource name (ARN) that specifies the application across services.  
Type: String  
Pattern: `arn:aws[-a-z]*:servicecatalog:[a-z]{2}(-gov)?-[a-z]+-\d:\d{12}:/applications/[a-z0-9]+` 

 ** [associatedResourceCount](#API_app-registry_GetApplication_ResponseSyntax) **   <a name="servicecatalog-app-registry_GetApplication-response-associatedResourceCount"></a>
The number of top-level resources that were registered as part of this application.  
Type: Integer  
Valid Range: Minimum value of 0.

 ** [creationTime](#API_app-registry_GetApplication_ResponseSyntax) **   <a name="servicecatalog-app-registry_GetApplication-response-creationTime"></a>
The ISO-8601 formatted timestamp of the moment when the application was created.  
Type: Timestamp

 ** [description](#API_app-registry_GetApplication_ResponseSyntax) **   <a name="servicecatalog-app-registry_GetApplication-response-description"></a>
The description of the application.  
Type: String  
Length Constraints: Maximum length of 1024.

 ** [id](#API_app-registry_GetApplication_ResponseSyntax) **   <a name="servicecatalog-app-registry_GetApplication-response-id"></a>
The identifier of the application.  
Type: String  
Length Constraints: Fixed length of 26.  
Pattern: `[a-z0-9]+` 

 ** [integrations](#API_app-registry_GetApplication_ResponseSyntax) **   <a name="servicecatalog-app-registry_GetApplication-response-integrations"></a>
 The information about the integration of the application with other services, such as AWS Resource Groups.   
Type: [Integrations](API_app-registry_Integrations.md) object

 ** [lastUpdateTime](#API_app-registry_GetApplication_ResponseSyntax) **   <a name="servicecatalog-app-registry_GetApplication-response-lastUpdateTime"></a>
The ISO-8601 formatted timestamp of the moment when the application was last updated.  
Type: Timestamp

 ** [name](#API_app-registry_GetApplication_ResponseSyntax) **   <a name="servicecatalog-app-registry_GetApplication-response-name"></a>
The name of the application. The name must be unique in the region in which you are creating the application.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[-.\w]+` 

 ** [tags](#API_app-registry_GetApplication_ResponseSyntax) **   <a name="servicecatalog-app-registry_GetApplication-response-tags"></a>
Key-value pairs associated with the application.  
Type: String to string map  
Map Entries: Minimum number of 0 items. Maximum number of 50 items.  
Key Length Constraints: Minimum length of 1. Maximum length of 128.  
Key Pattern: `^([\p{L}\p{Z}\p{N}_.:\/=+\-@]*)$`   
Value Length Constraints: Maximum length of 256.  
Value Pattern: `[\p{L}\p{Z}\p{N}_.:/=+\-@]*` 

## Errors


 ** ConflictException **   
There was a conflict when processing the request (for example, a resource with the given name already exists within the account).  
HTTP Status Code: 409

 ** InternalServerException **   
The service is experiencing internal problems.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ValidationException **   
The request has invalid or missing parameters.  
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/AWS242AppRegistry-2020-06-24/GetApplication) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/AWS242AppRegistry-2020-06-24/GetApplication) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/AWS242AppRegistry-2020-06-24/GetApplication) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/AWS242AppRegistry-2020-06-24/GetApplication) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/AWS242AppRegistry-2020-06-24/GetApplication) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/AWS242AppRegistry-2020-06-24/GetApplication) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/AWS242AppRegistry-2020-06-24/GetApplication) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/AWS242AppRegistry-2020-06-24/GetApplication) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/AWS242AppRegistry-2020-06-24/GetApplication) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/AWS242AppRegistry-2020-06-24/GetApplication) 

# GetAssociatedResource


Gets the resource associated with the application.

## Request Syntax


```
GET /applications/application/resources/resourceType/resource?maxResults=maxResults&nextToken=nextToken&resourceTagStatus=resourceTagStatus HTTP/1.1
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [application](#API_app-registry_GetAssociatedResource_RequestSyntax) **   <a name="servicecatalog-app-registry_GetAssociatedResource-request-uri-application"></a>
 The name, ID, or ARN of the application.   
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `([-.\w]+)|(arn:aws[-a-z]*:servicecatalog:[a-z]{2}(-gov)?-[a-z]+-\d:\d{12}:/applications/[-.\w]+)`   
Required: Yes

 ** [maxResults](#API_app-registry_GetAssociatedResource_RequestSyntax) **   <a name="servicecatalog-app-registry_GetAssociatedResource-request-uri-maxResults"></a>
 The maximum number of results to return. If the parameter is omitted, it defaults to 25. The value is optional.   
Valid Range: Minimum value of 1. Maximum value of 100.

 ** [nextToken](#API_app-registry_GetAssociatedResource_RequestSyntax) **   <a name="servicecatalog-app-registry_GetAssociatedResource-request-uri-nextToken"></a>
 A unique pagination token for each page of results. Make the call again with the returned token to retrieve the next page of results.   
Length Constraints: Minimum length of 1. Maximum length of 2024.  
Pattern: `[A-Za-z0-9+/=]+` 

 ** [resource](#API_app-registry_GetAssociatedResource_RequestSyntax) **   <a name="servicecatalog-app-registry_GetAssociatedResource-request-uri-resource"></a>
The name or ID of the resource associated with the application.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `\S+`   
Required: Yes

 ** [resourceTagStatus](#API_app-registry_GetAssociatedResource_RequestSyntax) **   <a name="servicecatalog-app-registry_GetAssociatedResource-request-uri-resourceTagStatus"></a>
 States whether an application tag is applied, not applied, in the process of being applied, or skipped.   
Array Members: Minimum number of 1 item. Maximum number of 4 items.  
Valid Values: `SUCCESS | FAILED | IN_PROGRESS | SKIPPED` 

 ** [resourceType](#API_app-registry_GetAssociatedResource_RequestSyntax) **   <a name="servicecatalog-app-registry_GetAssociatedResource-request-uri-resourceType"></a>
The type of resource associated with the application.  
Valid Values: `CFN_STACK | RESOURCE_TAG_VALUE`   
Required: Yes

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "applicationTagResult": { 
      "applicationTagStatus": "string",
      "errorMessage": "string",
      "nextToken": "string",
      "resources": [ 
         { 
            "errorMessage": "string",
            "resourceArn": "string",
            "resourceType": "string",
            "status": "string"
         }
      ]
   },
   "options": [ "string" ],
   "resource": { 
      "arn": "string",
      "associationTime": "string",
      "integrations": { 
         "resourceGroup": { 
            "arn": "string",
            "errorMessage": "string",
            "state": "string"
         }
      },
      "name": "string"
   }
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [applicationTagResult](#API_app-registry_GetAssociatedResource_ResponseSyntax) **   <a name="servicecatalog-app-registry_GetAssociatedResource-response-applicationTagResult"></a>
 The result of the application that's tag applied to a resource.   
Type: [ApplicationTagResult](API_app-registry_ApplicationTagResult.md) object

 ** [options](#API_app-registry_GetAssociatedResource_ResponseSyntax) **   <a name="servicecatalog-app-registry_GetAssociatedResource-response-options"></a>
 Determines whether an application tag is applied or skipped.   
Type: Array of strings  
Valid Values: `APPLY_APPLICATION_TAG | SKIP_APPLICATION_TAG` 

 ** [resource](#API_app-registry_GetAssociatedResource_ResponseSyntax) **   <a name="servicecatalog-app-registry_GetAssociatedResource-response-resource"></a>
The resource associated with the application.  
Type: [Resource](API_app-registry_Resource.md) object

## Errors


 ** InternalServerException **   
The service is experiencing internal problems.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ValidationException **   
The request has invalid or missing parameters.  
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/AWS242AppRegistry-2020-06-24/GetAssociatedResource) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/AWS242AppRegistry-2020-06-24/GetAssociatedResource) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/AWS242AppRegistry-2020-06-24/GetAssociatedResource) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/AWS242AppRegistry-2020-06-24/GetAssociatedResource) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/AWS242AppRegistry-2020-06-24/GetAssociatedResource) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/AWS242AppRegistry-2020-06-24/GetAssociatedResource) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/AWS242AppRegistry-2020-06-24/GetAssociatedResource) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/AWS242AppRegistry-2020-06-24/GetAssociatedResource) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/AWS242AppRegistry-2020-06-24/GetAssociatedResource) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/AWS242AppRegistry-2020-06-24/GetAssociatedResource) 

# GetAttributeGroup


 Retrieves an attribute group by its ARN, ID, or name. The attribute group can be specified by its ARN, ID, or name. 

## Request Syntax


```
GET /attribute-groups/attributeGroup HTTP/1.1
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [attributeGroup](#API_app-registry_GetAttributeGroup_RequestSyntax) **   <a name="servicecatalog-app-registry_GetAttributeGroup-request-uri-attributeGroup"></a>
 The name, ID, or ARN of the attribute group that holds the attributes to describe the application.   
Length Constraints: Minimum length of 1. Maximum length of 512.  
Pattern: `([-.\w]+)|(arn:aws[-a-z]*:servicecatalog:[a-z]{2}(-gov)?-[a-z]+-\d:\d{12}:/attribute-groups/[-.\w]+)`   
Required: Yes

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "arn": "string",
   "attributes": "string",
   "createdBy": "string",
   "creationTime": "string",
   "description": "string",
   "id": "string",
   "lastUpdateTime": "string",
   "name": "string",
   "tags": { 
      "string" : "string" 
   }
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [arn](#API_app-registry_GetAttributeGroup_ResponseSyntax) **   <a name="servicecatalog-app-registry_GetAttributeGroup-response-arn"></a>
The Amazon resource name (ARN) that specifies the attribute group across services.  
Type: String  
Pattern: `arn:aws[-a-z]*:servicecatalog:[a-z]{2}(-gov)?-[a-z]+-\d:\d{12}:/attribute-groups/[-.\w]+` 

 ** [attributes](#API_app-registry_GetAttributeGroup_ResponseSyntax) **   <a name="servicecatalog-app-registry_GetAttributeGroup-response-attributes"></a>
A JSON string in the form of nested key-value pairs that represent the attributes in the group and describes an application and its components.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 8000.  
Pattern: `[\u0009\u000A\u000D\u0020-\u00FF]+` 

 ** [createdBy](#API_app-registry_GetAttributeGroup_ResponseSyntax) **   <a name="servicecatalog-app-registry_GetAttributeGroup-response-createdBy"></a>
The service principal that created the attribute group.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Pattern: `^(?!-)([a-z0-9-]+\.)+(aws\.internal|amazonaws\.com(\.cn)?)$` 

 ** [creationTime](#API_app-registry_GetAttributeGroup_ResponseSyntax) **   <a name="servicecatalog-app-registry_GetAttributeGroup-response-creationTime"></a>
The ISO-8601 formatted timestamp of the moment the attribute group was created.  
Type: Timestamp

 ** [description](#API_app-registry_GetAttributeGroup_ResponseSyntax) **   <a name="servicecatalog-app-registry_GetAttributeGroup-response-description"></a>
The description of the attribute group that the user provides.  
Type: String  
Length Constraints: Maximum length of 1024.

 ** [id](#API_app-registry_GetAttributeGroup_ResponseSyntax) **   <a name="servicecatalog-app-registry_GetAttributeGroup-response-id"></a>
The identifier of the attribute group.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[-.\w]+` 

 ** [lastUpdateTime](#API_app-registry_GetAttributeGroup_ResponseSyntax) **   <a name="servicecatalog-app-registry_GetAttributeGroup-response-lastUpdateTime"></a>
The ISO-8601 formatted timestamp of the moment the attribute group was last updated. This time is the same as the creationTime for a newly created attribute group.  
Type: Timestamp

 ** [name](#API_app-registry_GetAttributeGroup_ResponseSyntax) **   <a name="servicecatalog-app-registry_GetAttributeGroup-response-name"></a>
The name of the attribute group.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[-.\w]+` 

 ** [tags](#API_app-registry_GetAttributeGroup_ResponseSyntax) **   <a name="servicecatalog-app-registry_GetAttributeGroup-response-tags"></a>
Key-value pairs associated with the attribute group.  
Type: String to string map  
Map Entries: Minimum number of 0 items. Maximum number of 50 items.  
Key Length Constraints: Minimum length of 1. Maximum length of 128.  
Key Pattern: `^([\p{L}\p{Z}\p{N}_.:\/=+\-@]*)$`   
Value Length Constraints: Maximum length of 256.  
Value Pattern: `[\p{L}\p{Z}\p{N}_.:/=+\-@]*` 

## Errors


 ** ConflictException **   
There was a conflict when processing the request (for example, a resource with the given name already exists within the account).  
HTTP Status Code: 409

 ** InternalServerException **   
The service is experiencing internal problems.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ValidationException **   
The request has invalid or missing parameters.  
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/AWS242AppRegistry-2020-06-24/GetAttributeGroup) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/AWS242AppRegistry-2020-06-24/GetAttributeGroup) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/AWS242AppRegistry-2020-06-24/GetAttributeGroup) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/AWS242AppRegistry-2020-06-24/GetAttributeGroup) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/AWS242AppRegistry-2020-06-24/GetAttributeGroup) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/AWS242AppRegistry-2020-06-24/GetAttributeGroup) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/AWS242AppRegistry-2020-06-24/GetAttributeGroup) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/AWS242AppRegistry-2020-06-24/GetAttributeGroup) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/AWS242AppRegistry-2020-06-24/GetAttributeGroup) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/AWS242AppRegistry-2020-06-24/GetAttributeGroup) 

# GetConfiguration


 Retrieves a `TagKey` configuration from an account. 

## Request Syntax


```
GET /configuration HTTP/1.1
```

## URI Request Parameters


The request does not use any URI parameters.

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "configuration": { 
      "tagQueryConfiguration": { 
         "tagKey": "string"
      }
   }
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [configuration](#API_app-registry_GetConfiguration_ResponseSyntax) **   <a name="servicecatalog-app-registry_GetConfiguration-response-configuration"></a>
 Retrieves `TagKey` configuration from an account.   
Type: [AppRegistryConfiguration](API_app-registry_AppRegistryConfiguration.md) object

## Errors


 ** InternalServerException **   
The service is experiencing internal problems.  
HTTP Status Code: 500

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/AWS242AppRegistry-2020-06-24/GetConfiguration) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/AWS242AppRegistry-2020-06-24/GetConfiguration) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/AWS242AppRegistry-2020-06-24/GetConfiguration) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/AWS242AppRegistry-2020-06-24/GetConfiguration) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/AWS242AppRegistry-2020-06-24/GetConfiguration) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/AWS242AppRegistry-2020-06-24/GetConfiguration) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/AWS242AppRegistry-2020-06-24/GetConfiguration) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/AWS242AppRegistry-2020-06-24/GetConfiguration) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/AWS242AppRegistry-2020-06-24/GetConfiguration) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/AWS242AppRegistry-2020-06-24/GetConfiguration) 

# ListApplications


Retrieves a list of all of your applications. Results are paginated.

## Request Syntax


```
GET /applications?maxResults=maxResults&nextToken=nextToken HTTP/1.1
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [maxResults](#API_app-registry_ListApplications_RequestSyntax) **   <a name="servicecatalog-app-registry_ListApplications-request-uri-maxResults"></a>
The upper bound of the number of results to return (cannot exceed 25). If this parameter is omitted, it defaults to 25. This value is optional.  
Valid Range: Minimum value of 1. Maximum value of 100.

 ** [nextToken](#API_app-registry_ListApplications_RequestSyntax) **   <a name="servicecatalog-app-registry_ListApplications-request-uri-nextToken"></a>
The token to use to get the next page of results after a previous API call.   
Length Constraints: Minimum length of 1. Maximum length of 2024.  
Pattern: `[A-Za-z0-9+/=]+` 

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "applications": [ 
      { 
         "arn": "string",
         "creationTime": "string",
         "description": "string",
         "id": "string",
         "lastUpdateTime": "string",
         "name": "string"
      }
   ],
   "nextToken": "string"
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [applications](#API_app-registry_ListApplications_ResponseSyntax) **   <a name="servicecatalog-app-registry_ListApplications-response-applications"></a>
This list of applications.  
Type: Array of [ApplicationSummary](API_app-registry_ApplicationSummary.md) objects

 ** [nextToken](#API_app-registry_ListApplications_ResponseSyntax) **   <a name="servicecatalog-app-registry_ListApplications-response-nextToken"></a>
The token to use to get the next page of results after a previous API call.   
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 2024.  
Pattern: `[A-Za-z0-9+/=]+` 

## Errors


 ** InternalServerException **   
The service is experiencing internal problems.  
HTTP Status Code: 500

 ** ValidationException **   
The request has invalid or missing parameters.  
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/AWS242AppRegistry-2020-06-24/ListApplications) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/AWS242AppRegistry-2020-06-24/ListApplications) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/AWS242AppRegistry-2020-06-24/ListApplications) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/AWS242AppRegistry-2020-06-24/ListApplications) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/AWS242AppRegistry-2020-06-24/ListApplications) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/AWS242AppRegistry-2020-06-24/ListApplications) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/AWS242AppRegistry-2020-06-24/ListApplications) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/AWS242AppRegistry-2020-06-24/ListApplications) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/AWS242AppRegistry-2020-06-24/ListApplications) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/AWS242AppRegistry-2020-06-24/ListApplications) 

# ListAssociatedAttributeGroups


Lists all attribute groups that are associated with specified application. Results are paginated.

## Request Syntax


```
GET /applications/application/attribute-groups?maxResults=maxResults&nextToken=nextToken HTTP/1.1
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [application](#API_app-registry_ListAssociatedAttributeGroups_RequestSyntax) **   <a name="servicecatalog-app-registry_ListAssociatedAttributeGroups-request-uri-application"></a>
The name or ID of the application.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `([-.\w]+)|(arn:aws[-a-z]*:servicecatalog:[a-z]{2}(-gov)?-[a-z]+-\d:\d{12}:/applications/[-.\w]+)`   
Required: Yes

 ** [maxResults](#API_app-registry_ListAssociatedAttributeGroups_RequestSyntax) **   <a name="servicecatalog-app-registry_ListAssociatedAttributeGroups-request-uri-maxResults"></a>
The upper bound of the number of results to return (cannot exceed 25). If this parameter is omitted, it defaults to 25. This value is optional.  
Valid Range: Minimum value of 1. Maximum value of 100.

 ** [nextToken](#API_app-registry_ListAssociatedAttributeGroups_RequestSyntax) **   <a name="servicecatalog-app-registry_ListAssociatedAttributeGroups-request-uri-nextToken"></a>
The token to use to get the next page of results after a previous API call.   
Length Constraints: Minimum length of 1. Maximum length of 2024.  
Pattern: `[A-Za-z0-9+/=]+` 

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "attributeGroups": [ "string" ],
   "nextToken": "string"
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [attributeGroups](#API_app-registry_ListAssociatedAttributeGroups_ResponseSyntax) **   <a name="servicecatalog-app-registry_ListAssociatedAttributeGroups-response-attributeGroups"></a>
A list of attribute group IDs.  
Type: Array of strings  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[-.\w]+` 

 ** [nextToken](#API_app-registry_ListAssociatedAttributeGroups_ResponseSyntax) **   <a name="servicecatalog-app-registry_ListAssociatedAttributeGroups-response-nextToken"></a>
The token to use to get the next page of results after a previous API call.   
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 2024.  
Pattern: `[A-Za-z0-9+/=]+` 

## Errors


 ** InternalServerException **   
The service is experiencing internal problems.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ValidationException **   
The request has invalid or missing parameters.  
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/AWS242AppRegistry-2020-06-24/ListAssociatedAttributeGroups) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/AWS242AppRegistry-2020-06-24/ListAssociatedAttributeGroups) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/AWS242AppRegistry-2020-06-24/ListAssociatedAttributeGroups) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/AWS242AppRegistry-2020-06-24/ListAssociatedAttributeGroups) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/AWS242AppRegistry-2020-06-24/ListAssociatedAttributeGroups) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/AWS242AppRegistry-2020-06-24/ListAssociatedAttributeGroups) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/AWS242AppRegistry-2020-06-24/ListAssociatedAttributeGroups) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/AWS242AppRegistry-2020-06-24/ListAssociatedAttributeGroups) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/AWS242AppRegistry-2020-06-24/ListAssociatedAttributeGroups) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/AWS242AppRegistry-2020-06-24/ListAssociatedAttributeGroups) 

# ListAssociatedResources


 Lists all of the resources that are associated with the specified application. Results are paginated. 

**Note**  
 If you share an application, and a consumer account associates a tag query to the application, all of the users who can access the application can also view the tag values in all accounts that are associated with it using this API. 

## Request Syntax


```
GET /applications/application/resources?maxResults=maxResults&nextToken=nextToken HTTP/1.1
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [application](#API_app-registry_ListAssociatedResources_RequestSyntax) **   <a name="servicecatalog-app-registry_ListAssociatedResources-request-uri-application"></a>
 The name, ID, or ARN of the application.   
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `([-.\w]+)|(arn:aws[-a-z]*:servicecatalog:[a-z]{2}(-gov)?-[a-z]+-\d:\d{12}:/applications/[-.\w]+)`   
Required: Yes

 ** [maxResults](#API_app-registry_ListAssociatedResources_RequestSyntax) **   <a name="servicecatalog-app-registry_ListAssociatedResources-request-uri-maxResults"></a>
The upper bound of the number of results to return (cannot exceed 25). If this parameter is omitted, it defaults to 25. This value is optional.  
Valid Range: Minimum value of 1. Maximum value of 100.

 ** [nextToken](#API_app-registry_ListAssociatedResources_RequestSyntax) **   <a name="servicecatalog-app-registry_ListAssociatedResources-request-uri-nextToken"></a>
The token to use to get the next page of results after a previous API call.   
Length Constraints: Minimum length of 1. Maximum length of 2024.  
Pattern: `[A-Za-z0-9+/=]+` 

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "nextToken": "string",
   "resources": [ 
      { 
         "arn": "string",
         "name": "string",
         "options": [ "string" ],
         "resourceDetails": { 
            "tagValue": "string"
         },
         "resourceType": "string"
      }
   ]
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [nextToken](#API_app-registry_ListAssociatedResources_ResponseSyntax) **   <a name="servicecatalog-app-registry_ListAssociatedResources-response-nextToken"></a>
The token to use to get the next page of results after a previous API call.   
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 2024.  
Pattern: `[A-Za-z0-9+/=]+` 

 ** [resources](#API_app-registry_ListAssociatedResources_ResponseSyntax) **   <a name="servicecatalog-app-registry_ListAssociatedResources-response-resources"></a>
Information about the resources.  
Type: Array of [ResourceInfo](API_app-registry_ResourceInfo.md) objects

## Errors


 ** InternalServerException **   
The service is experiencing internal problems.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ValidationException **   
The request has invalid or missing parameters.  
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/AWS242AppRegistry-2020-06-24/ListAssociatedResources) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/AWS242AppRegistry-2020-06-24/ListAssociatedResources) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/AWS242AppRegistry-2020-06-24/ListAssociatedResources) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/AWS242AppRegistry-2020-06-24/ListAssociatedResources) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/AWS242AppRegistry-2020-06-24/ListAssociatedResources) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/AWS242AppRegistry-2020-06-24/ListAssociatedResources) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/AWS242AppRegistry-2020-06-24/ListAssociatedResources) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/AWS242AppRegistry-2020-06-24/ListAssociatedResources) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/AWS242AppRegistry-2020-06-24/ListAssociatedResources) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/AWS242AppRegistry-2020-06-24/ListAssociatedResources) 

# ListAttributeGroups


Lists all attribute groups which you have access to. Results are paginated.

## Request Syntax


```
GET /attribute-groups?maxResults=maxResults&nextToken=nextToken HTTP/1.1
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [maxResults](#API_app-registry_ListAttributeGroups_RequestSyntax) **   <a name="servicecatalog-app-registry_ListAttributeGroups-request-uri-maxResults"></a>
The upper bound of the number of results to return (cannot exceed 25). If this parameter is omitted, it defaults to 25. This value is optional.  
Valid Range: Minimum value of 1. Maximum value of 100.

 ** [nextToken](#API_app-registry_ListAttributeGroups_RequestSyntax) **   <a name="servicecatalog-app-registry_ListAttributeGroups-request-uri-nextToken"></a>
The token to use to get the next page of results after a previous API call.   
Length Constraints: Minimum length of 1. Maximum length of 2024.  
Pattern: `[A-Za-z0-9+/=]+` 

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "attributeGroups": [ 
      { 
         "arn": "string",
         "createdBy": "string",
         "creationTime": "string",
         "description": "string",
         "id": "string",
         "lastUpdateTime": "string",
         "name": "string"
      }
   ],
   "nextToken": "string"
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [attributeGroups](#API_app-registry_ListAttributeGroups_ResponseSyntax) **   <a name="servicecatalog-app-registry_ListAttributeGroups-response-attributeGroups"></a>
This list of attribute groups.  
Type: Array of [AttributeGroupSummary](API_app-registry_AttributeGroupSummary.md) objects

 ** [nextToken](#API_app-registry_ListAttributeGroups_ResponseSyntax) **   <a name="servicecatalog-app-registry_ListAttributeGroups-response-nextToken"></a>
The token to use to get the next page of results after a previous API call.   
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 2024.  
Pattern: `[A-Za-z0-9+/=]+` 

## Errors


 ** InternalServerException **   
The service is experiencing internal problems.  
HTTP Status Code: 500

 ** ValidationException **   
The request has invalid or missing parameters.  
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/AWS242AppRegistry-2020-06-24/ListAttributeGroups) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/AWS242AppRegistry-2020-06-24/ListAttributeGroups) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/AWS242AppRegistry-2020-06-24/ListAttributeGroups) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/AWS242AppRegistry-2020-06-24/ListAttributeGroups) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/AWS242AppRegistry-2020-06-24/ListAttributeGroups) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/AWS242AppRegistry-2020-06-24/ListAttributeGroups) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/AWS242AppRegistry-2020-06-24/ListAttributeGroups) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/AWS242AppRegistry-2020-06-24/ListAttributeGroups) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/AWS242AppRegistry-2020-06-24/ListAttributeGroups) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/AWS242AppRegistry-2020-06-24/ListAttributeGroups) 

# ListAttributeGroupsForApplication


Lists the details of all attribute groups associated with a specific application. The results display in pages.

## Request Syntax


```
GET /applications/application/attribute-group-details?maxResults=maxResults&nextToken=nextToken HTTP/1.1
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [application](#API_app-registry_ListAttributeGroupsForApplication_RequestSyntax) **   <a name="servicecatalog-app-registry_ListAttributeGroupsForApplication-request-uri-application"></a>
The name or ID of the application.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `([-.\w]+)|(arn:aws[-a-z]*:servicecatalog:[a-z]{2}(-gov)?-[a-z]+-\d:\d{12}:/applications/[-.\w]+)`   
Required: Yes

 ** [maxResults](#API_app-registry_ListAttributeGroupsForApplication_RequestSyntax) **   <a name="servicecatalog-app-registry_ListAttributeGroupsForApplication-request-uri-maxResults"></a>
The upper bound of the number of results to return. The value cannot exceed 25. If you omit this parameter, it defaults to 25. This value is optional.  
Valid Range: Minimum value of 1. Maximum value of 100.

 ** [nextToken](#API_app-registry_ListAttributeGroupsForApplication_RequestSyntax) **   <a name="servicecatalog-app-registry_ListAttributeGroupsForApplication-request-uri-nextToken"></a>
This token retrieves the next page of results after a previous API call.  
Length Constraints: Minimum length of 1. Maximum length of 2024.  
Pattern: `[A-Za-z0-9+/=]+` 

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "attributeGroupsDetails": [ 
      { 
         "arn": "string",
         "createdBy": "string",
         "id": "string",
         "name": "string"
      }
   ],
   "nextToken": "string"
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [attributeGroupsDetails](#API_app-registry_ListAttributeGroupsForApplication_ResponseSyntax) **   <a name="servicecatalog-app-registry_ListAttributeGroupsForApplication-response-attributeGroupsDetails"></a>
 The details related to a specific attribute group.   
Type: Array of [AttributeGroupDetails](API_app-registry_AttributeGroupDetails.md) objects

 ** [nextToken](#API_app-registry_ListAttributeGroupsForApplication_ResponseSyntax) **   <a name="servicecatalog-app-registry_ListAttributeGroupsForApplication-response-nextToken"></a>
The token to use to get the next page of results after a previous API call.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 2024.  
Pattern: `[A-Za-z0-9+/=]+` 

## Errors


 ** InternalServerException **   
The service is experiencing internal problems.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ValidationException **   
The request has invalid or missing parameters.  
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/AWS242AppRegistry-2020-06-24/ListAttributeGroupsForApplication) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/AWS242AppRegistry-2020-06-24/ListAttributeGroupsForApplication) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/AWS242AppRegistry-2020-06-24/ListAttributeGroupsForApplication) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/AWS242AppRegistry-2020-06-24/ListAttributeGroupsForApplication) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/AWS242AppRegistry-2020-06-24/ListAttributeGroupsForApplication) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/AWS242AppRegistry-2020-06-24/ListAttributeGroupsForApplication) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/AWS242AppRegistry-2020-06-24/ListAttributeGroupsForApplication) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/AWS242AppRegistry-2020-06-24/ListAttributeGroupsForApplication) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/AWS242AppRegistry-2020-06-24/ListAttributeGroupsForApplication) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/AWS242AppRegistry-2020-06-24/ListAttributeGroupsForApplication) 

# ListTagsForResource


Lists all of the tags on the resource.

## Request Syntax


```
GET /tags/resourceArn HTTP/1.1
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [resourceArn](#API_app-registry_ListTagsForResource_RequestSyntax) **   <a name="servicecatalog-app-registry_ListTagsForResource-request-uri-resourceArn"></a>
The Amazon resource name (ARN) that specifies the resource.  
Length Constraints: Minimum length of 1. Maximum length of 1600.  
Pattern: `arn:(aws[a-zA-Z0-9-]*):([a-zA-Z0-9\-])+:([a-z]{2}(-gov)?-[a-z]+-\d{1})?:(\d{12})?:(.*)`   
Required: Yes

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "tags": { 
      "string" : "string" 
   }
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [tags](#API_app-registry_ListTagsForResource_ResponseSyntax) **   <a name="servicecatalog-app-registry_ListTagsForResource-response-tags"></a>
The tags on the resource.  
Type: String to string map  
Map Entries: Minimum number of 0 items. Maximum number of 50 items.  
Key Length Constraints: Minimum length of 1. Maximum length of 128.  
Key Pattern: `^([\p{L}\p{Z}\p{N}_.:\/=+\-@]*)$`   
Value Length Constraints: Maximum length of 256.  
Value Pattern: `[\p{L}\p{Z}\p{N}_.:/=+\-@]*` 

## Errors


 ** InternalServerException **   
The service is experiencing internal problems.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ValidationException **   
The request has invalid or missing parameters.  
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/AWS242AppRegistry-2020-06-24/ListTagsForResource) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/AWS242AppRegistry-2020-06-24/ListTagsForResource) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/AWS242AppRegistry-2020-06-24/ListTagsForResource) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/AWS242AppRegistry-2020-06-24/ListTagsForResource) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/AWS242AppRegistry-2020-06-24/ListTagsForResource) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/AWS242AppRegistry-2020-06-24/ListTagsForResource) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/AWS242AppRegistry-2020-06-24/ListTagsForResource) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/AWS242AppRegistry-2020-06-24/ListTagsForResource) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/AWS242AppRegistry-2020-06-24/ListTagsForResource) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/AWS242AppRegistry-2020-06-24/ListTagsForResource) 

# PutConfiguration


 Associates a `TagKey` configuration to an account. 

## Request Syntax


```
PUT /configuration HTTP/1.1
Content-type: application/json

{
   "configuration": { 
      "tagQueryConfiguration": { 
         "tagKey": "string"
      }
   }
}
```

## URI Request Parameters


The request does not use any URI parameters.

## Request Body


The request accepts the following data in JSON format.

 ** [configuration](#API_app-registry_PutConfiguration_RequestSyntax) **   <a name="servicecatalog-app-registry_PutConfiguration-request-configuration"></a>
 Associates a `TagKey` configuration to an account.   
Type: [AppRegistryConfiguration](API_app-registry_AppRegistryConfiguration.md) object  
Required: Yes

## Response Syntax


```
HTTP/1.1 200
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors


 ** ConflictException **   
There was a conflict when processing the request (for example, a resource with the given name already exists within the account).  
HTTP Status Code: 409

 ** InternalServerException **   
The service is experiencing internal problems.  
HTTP Status Code: 500

 ** ValidationException **   
The request has invalid or missing parameters.  
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/AWS242AppRegistry-2020-06-24/PutConfiguration) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/AWS242AppRegistry-2020-06-24/PutConfiguration) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/AWS242AppRegistry-2020-06-24/PutConfiguration) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/AWS242AppRegistry-2020-06-24/PutConfiguration) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/AWS242AppRegistry-2020-06-24/PutConfiguration) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/AWS242AppRegistry-2020-06-24/PutConfiguration) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/AWS242AppRegistry-2020-06-24/PutConfiguration) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/AWS242AppRegistry-2020-06-24/PutConfiguration) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/AWS242AppRegistry-2020-06-24/PutConfiguration) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/AWS242AppRegistry-2020-06-24/PutConfiguration) 

# SyncResource


Syncs the resource with current AppRegistry records.

Specifically, the resource’s AppRegistry system tags sync with its associated application. We remove the resource's AppRegistry system tags if it does not associate with the application. The caller must have permissions to read and update the resource.

## Request Syntax


```
POST /sync/resourceType/resource HTTP/1.1
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [resource](#API_app-registry_SyncResource_RequestSyntax) **   <a name="servicecatalog-app-registry_SyncResource-request-uri-resource"></a>
An entity you can work with and specify with a name or ID. Examples include an Amazon EC2 instance, an AWS CloudFormation stack, or an Amazon S3 bucket.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `\S+`   
Required: Yes

 ** [resourceType](#API_app-registry_SyncResource_RequestSyntax) **   <a name="servicecatalog-app-registry_SyncResource-request-uri-resourceType"></a>
The type of resource of which the application will be associated.  
Valid Values: `CFN_STACK | RESOURCE_TAG_VALUE`   
Required: Yes

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "actionTaken": "string",
   "applicationArn": "string",
   "resourceArn": "string"
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [actionTaken](#API_app-registry_SyncResource_ResponseSyntax) **   <a name="servicecatalog-app-registry_SyncResource-response-actionTaken"></a>
The results of the output if an application is associated with an ARN value, which could be `syncStarted` or None.  
Type: String  
Valid Values: `START_SYNC | NO_ACTION` 

 ** [applicationArn](#API_app-registry_SyncResource_ResponseSyntax) **   <a name="servicecatalog-app-registry_SyncResource-response-applicationArn"></a>
The Amazon resource name (ARN) that specifies the application.  
Type: String  
Pattern: `arn:aws[-a-z]*:servicecatalog:[a-z]{2}(-gov)?-[a-z]+-\d:\d{12}:/applications/[a-z0-9]+` 

 ** [resourceArn](#API_app-registry_SyncResource_ResponseSyntax) **   <a name="servicecatalog-app-registry_SyncResource-response-resourceArn"></a>
The Amazon resource name (ARN) that specifies the resource.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 1600.  
Pattern: `arn:(aws[a-zA-Z0-9-]*):([a-zA-Z0-9\-])+:([a-z]{2}(-gov)?-[a-z]+-\d{1})?:(\d{12})?:(.*)` 

## Errors


 ** ConflictException **   
There was a conflict when processing the request (for example, a resource with the given name already exists within the account).  
HTTP Status Code: 409

 ** InternalServerException **   
The service is experiencing internal problems.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
 The maximum number of API requests has been exceeded.     
 ** message **   
A message associated with the Throttling exception.  
 ** serviceCode **   
The originating service code.
HTTP Status Code: 429

 ** ValidationException **   
The request has invalid or missing parameters.  
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/AWS242AppRegistry-2020-06-24/SyncResource) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/AWS242AppRegistry-2020-06-24/SyncResource) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/AWS242AppRegistry-2020-06-24/SyncResource) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/AWS242AppRegistry-2020-06-24/SyncResource) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/AWS242AppRegistry-2020-06-24/SyncResource) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/AWS242AppRegistry-2020-06-24/SyncResource) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/AWS242AppRegistry-2020-06-24/SyncResource) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/AWS242AppRegistry-2020-06-24/SyncResource) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/AWS242AppRegistry-2020-06-24/SyncResource) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/AWS242AppRegistry-2020-06-24/SyncResource) 

# TagResource


Assigns one or more tags (key-value pairs) to the specified resource.

Each tag consists of a key and an optional value. If a tag with the same key is already associated with the resource, this action updates its value.

This operation returns an empty response if the call was successful.

## Request Syntax


```
POST /tags/resourceArn HTTP/1.1
Content-type: application/json

{
   "tags": { 
      "string" : "string" 
   }
}
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [resourceArn](#API_app-registry_TagResource_RequestSyntax) **   <a name="servicecatalog-app-registry_TagResource-request-uri-resourceArn"></a>
The Amazon resource name (ARN) that specifies the resource.  
Length Constraints: Minimum length of 1. Maximum length of 1600.  
Pattern: `arn:(aws[a-zA-Z0-9-]*):([a-zA-Z0-9\-])+:([a-z]{2}(-gov)?-[a-z]+-\d{1})?:(\d{12})?:(.*)`   
Required: Yes

## Request Body


The request accepts the following data in JSON format.

 ** [tags](#API_app-registry_TagResource_RequestSyntax) **   <a name="servicecatalog-app-registry_TagResource-request-tags"></a>
The new or modified tags for the resource.  
Type: String to string map  
Map Entries: Minimum number of 0 items. Maximum number of 50 items.  
Key Length Constraints: Minimum length of 1. Maximum length of 128.  
Key Pattern: `^([\p{L}\p{Z}\p{N}_.:\/=+\-@]*)$`   
Value Length Constraints: Maximum length of 256.  
Value Pattern: `[\p{L}\p{Z}\p{N}_.:/=+\-@]*`   
Required: Yes

## Response Syntax


```
HTTP/1.1 200
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors


 ** InternalServerException **   
The service is experiencing internal problems.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ValidationException **   
The request has invalid or missing parameters.  
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/AWS242AppRegistry-2020-06-24/TagResource) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/AWS242AppRegistry-2020-06-24/TagResource) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/AWS242AppRegistry-2020-06-24/TagResource) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/AWS242AppRegistry-2020-06-24/TagResource) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/AWS242AppRegistry-2020-06-24/TagResource) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/AWS242AppRegistry-2020-06-24/TagResource) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/AWS242AppRegistry-2020-06-24/TagResource) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/AWS242AppRegistry-2020-06-24/TagResource) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/AWS242AppRegistry-2020-06-24/TagResource) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/AWS242AppRegistry-2020-06-24/TagResource) 

# UntagResource


Removes tags from a resource.

This operation returns an empty response if the call was successful.

## Request Syntax


```
DELETE /tags/resourceArn?tagKeys=tagKeys HTTP/1.1
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [resourceArn](#API_app-registry_UntagResource_RequestSyntax) **   <a name="servicecatalog-app-registry_UntagResource-request-uri-resourceArn"></a>
The Amazon resource name (ARN) that specifies the resource.  
[...]
